Loading...
Searching...
No Matches
LineColorMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getBlue ()
void | getRed ()
void | getGreen ()
void | getBlack ()
void | getCyan ()
void | getMagenta ()
void | getYellow ()
void | getGray ()
void | getDarkRed ()
void | getDarkGreen ()
void | getDarkBlue ()
void | getDarkGray ()

## Signals

void | whichTrigger (unsigned int which, const QString &name)

## Public Member Functions

| LineColorMenu (unsigned int which, QWidget *parent)
| ~LineColorMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## LineColorMenu()

LineColorMenu::LineColorMenu | ( | unsigned int | which,
|  | QWidget * | parent )

inline

References getBlack(), getBlue(), getCyan(), getDarkBlue(), getDarkGray(), getDarkGreen(), getDarkRed(), getGray(), getGreen(), getMagenta(), getRed(), and getYellow().

## ~LineColorMenu()

LineColorMenu::~LineColorMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * LineColorMenu::getAction | ( | unsigned int | which | ) |

inline

## getBlack

void LineColorMenu::getBlack | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getBlue

void LineColorMenu::getBlue | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getCyan

void LineColorMenu::getCyan | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getDarkBlue

void LineColorMenu::getDarkBlue | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getDarkGray

void LineColorMenu::getDarkGray | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getDarkGreen

void LineColorMenu::getDarkGreen | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getDarkRed

void LineColorMenu::getDarkRed | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getGray

void LineColorMenu::getGray | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getGreen

void LineColorMenu::getGreen | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getMagenta

void LineColorMenu::getMagenta | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getNumActions()

int LineColorMenu::getNumActions | ( |  | ) | const

inline

## getRed

void LineColorMenu::getRed | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## getYellow

void LineColorMenu::getYellow | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineColorMenu().

## whichTrigger

void LineColorMenu::whichTrigger | ( | unsigned int | which,
|  | const QString & | name )

signal

Referenced by getBlack(), getBlue(), getCyan(), getDarkBlue(), getDarkGray(), getDarkGreen(), getDarkRed(), getGray(), getGreen(), getMagenta(), getRed(), and getYellow().

The documentation for this class was generated from the following file:

- form_menus.h